# vim: set sw=4 ts=4 et:

Name:           vobcopy
Summary:        Vobcopy copies DVD .vob files to harddisk
Summary(de):    Vobcopy kopiert DVD .vob Dateien auf die Festplatte
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://vobcopy.org/
Version:        1.2.0
Release:        3.1
Source0:        vobcopy-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-root
BuildRequires:  glibc-devel
BuildRequires:  gcc
#BuildRequires:  libdvdread3 >= 0.9.7
#BuildRequires:  libdvdread3-devel >= 0.9.7
BuildRequires:  libdvdread-devel >= 0.9.7

%description
vobcopy called without arguments will find the mounted dvd and copy the
title with the most chapters to the current working directory (thats the
directory you're invoking vobcopy from). It will merge together the
sub-vobs of each title-vob (vts_xx_yy.vob => the xx is the title-vob,
the yy and friends are the sub-vobs, mostly of 1 GB size) and copy them
to harddisk in 2 GB chunks. It will get the title of the movie from the
dvd and copy the data to name-of-moviexx-1.vob, name-of-moviexx-2.vob
(the xx being the title number). Also possible is to mirror the whole video
dvd content and single files can also be copied.

%prep
%setup -q

%build
export CFLAGS="${RPM_OPT_FLAGS}"

./configure.sh \
    --prefix="%{_prefix}" \
    --bindir="%{_bindir}" \
    --mandir="%{_mandir}" \
    --with-dvdread-libs="%{_prefix}" \
    --with-lfs

%__make %{?_smp_flags}

%install
%makeinstall
%{__rm} -rf %{buildroot}%{_datadir}/doc

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-, root, root)
%doc alternative_programs.txt Changelog COPYING README Release-Notes TODO
%{_bindir}/vobcopy
%doc %{_mandir}/man1/vobcopy.1%{ext_man}
%doc %{_mandir}/de/man1/vobcopy.1%{ext_man}

%changelog
* Sat Dec 20 2014 seife+obs@b1-systems.com
- fix license tag to allow build to succeed on openSUSE > 13.2
* Fri Sep 11 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Tue Jun  9 2009 Manfred.Tremmel@iiv.de
- update to 1.2.0
* Sun Oct 12 2008 Manfred.Tremmel@iiv.de
- update to 1.1.2
* Sat Jun 28 2008 Manfred.Tremmel@iiv.de
- added a patch to make it compile with glibc 2.8
* Mon Mar  3 2008 Manfred.Tremmel@iiv.de
- update to 1.1.1
* Mon Jan 14 2008 Manfred.Tremmel@iiv.de
- update to 1.1.0
* Mon Jun 25 2007 Manfred.Tremmel@iiv.de
- update to 1.0.2
* Tue Nov 14 2006 Manfred.Tremmel@iiv.de
- update to 1.0.1
* Mon Apr  3 2006 Manfred.Tremmel@iiv.de
- update to 1.0.0
* Fri Jan  6 2006 Manfred.Tremmel@iiv.de
- update to 0.5.16
* Thu Sep 29 2005 Manfred.Tremmel@iiv.de
- added a patch to solve a buffer overflow
* Sun Jun 26 2005 Manfred.Tremmel@iiv.de
- initial spec file for Packman, based on the spec file in the tarball
